//
//  AppDelegate.swift
//  YouboraDemo
//
//

import CastlabsApple
import CastlabsYoubora
import NpawPlugin
import PRESTOplay
import UIKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {

    var window: UIWindow?

    func application(
        _: UIApplication,
        didFinishLaunchingWithOptions _: [UIApplication.LaunchOptionsKey: Any]?
    )
        -> Bool
    {
        // Override point for customization after application launch.
        // swiftlint: disable line_length

        let analyticsOptions = NpawPlugin.AnalyticsOptions()
        analyticsOptions.userName = "User Name"
        let youboraSettings = YouboraSettings(accountCode: "", analyticsOptions: analyticsOptions)

        _ = PRESTOplaySDK.shared.setup(
            "LICENSE",
            [
                HLSPlugin(),
                YouboraPlugin(youboraSettings),
            ])
        // swiftlint: enable line_length
        return true
    }
}
